const gridData = {
  success: true,

  columns: [
    {
      field: "name",
      text: "Name",
      width: 200,
      renderer: "smartRenderer",
      editor: {
        type: "textField",
      },
    },

    {
      field: "projectType",
      text: "Project Type",
      width: 200,
      renderer: "projectType",
      options: [], // for customfields
      editor: {
        type: "projectType",
      },
    },
  ],

  data: [
    {
      name: {
        oid: "5k_h",
        id: 200,
        text: "New Product Development",
      },
      projectType_text: "Support",
      projectType: "123",
      plannedFinish: {
        text: "2022-08-24",
        format: "d-MMM-y",
      },
    },
    {
      name: {
        oid: "5k_jh",
        id: 200,
        text: "Alex G",
      },
      user: ["698"],
      user_text: ["Don"],
      projectType_text: "Support",
      projectType: "123",

      plannedFinish: {
        text: "2022-08-26",
        format: "d-MMM-y",
      },
    },
    {
      name: {
        oid: "5k_jhI",
        id: 200,
        text: "Don",
      },

      projectType_text: "Support",
      projectType: "123",

      plannedFinish: {
        text: "2022-08-21",
        format: "d-MMM-y",
      },
    },
    {
      name: {
        oid: "5k_jhIjl",
        id: 200,
        text: "Smith",
      },

      projectType_text: "Support",
      projectType: "123",

      plannedFinish: {
        text: "2022-08-20",
        format: "d-MMM-y",
      },
    },
    {
      name: {
        oid: "5k_jhIjlm",
        id: 200,
        text: "John",
      },

      projectType_text: "Support",
      projectType: "123",

      plannedFinish: {
        text: "2022-08-19",
        format: "d-MMM-y",
      },
    },
  ],
};

const projectTypeSelect = [
  { value: "354", label: "Sell" },
  { value: "123", label: "Support" },
  { value: "432", label: "Dev" },
];

const userSelect = [
  { value: "675", label: "Albert" },
  { value: "673", label: "John" },
  { value: "698", label: "Don" },
];

module.exports = {
  gridData,
  userSelect,
  projectTypeSelect,
};
