import Utils from "./Utils";

const renderers = {
  smartRenderer: (value) => {
    // console.log("smart Renderer");
    const field = value.column.data.field;
    const fieldVal = value.record.data[field];

    return Utils.isObject(fieldVal) ? fieldVal.text : fieldVal;
  },

  projectType: (value) => {
    const field = value.column.data.field;
    return value.record.data[field + "_text"];
  },
  user: (value) => {
    const field = value.column.data.field;
    return value.record.data[field + "_text"];
  },
};
export default renderers;
