import TextEditor from "./Editor/TextEditor";
import AntSelect from "./Editor/AntSelect";
import DateField from "./Editor/DateField";

const fieldProperties = {
  textField: {
    gridEditor: (ref, instance) => <TextEditor ref={ref} instance={instance} />,
  },

  projectType: {
    gridEditor: (ref, instance) => (
      <AntSelect
        ref={ref}
        instance={instance}
        url="http://localhost:5008/member/data/select"
      />
    ),
  },
  date: {
    gridEditor: (ref, instance) => <DateField instance={instance} ref={ref} />,
  },
};

export default fieldProperties;
